(define (domain coinFlip)
  (:requirements :typing :strips :non-deterministic)
  (:types coin)
  (:predicates (stands ?c - coin)
               (heads ?c - coin)
               (tails ?c - coin)
  )

  (:action flip-coin
   :parameters (?c - coin)
   :precondition (stands ?c)
   :effect (oneof
               (and (not (stands ?c))
                    (tails ?c))
               (and (not (stands ?c))
                    (heads ?c))
           )
  )
  
  (:action turn-tail-to-head
   :parameters (?c - coin)
   :precondition (tails ?c)
   :effect (and (not (tails ?c))
                (heads ?c)
           )
  )
  
  (:action turn-head-to-tail
   :parameters (?c - coin)
   :precondition (heads ?c)
   :effect (and (not (heads ?c))
                (tails ?c)
           )
  )
)
